Remove users from a department.

It is required a department and a list of users to remove. Permission Level: Read-Write

DELETE /users/department/{departmentName}/users

Operation id: DepartmentService_DeleteDepartmentUsers

Tags: DepartmentService

Parameters

Path parameters

NameTypeRequiredDescription
departmentNamestringYesName of the department. Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
usersarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "users": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
          },
          "userId": {
            "type": "string",
            "description": "The user ID. Required: true."
          },
          "firstName": {
            "type": "string",
            "description": "The first name. Required: false."
          },
          "lastName": {
            "type": "string",
            "description": "The last name. Required: false."
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
namestringNo
parentstringNo
tenantIdstringNo
ancestorsarrayNo
descendantsarrayNo
displayNamestringNo
attributesarrayNo
enabledScopesobjectNo
creationTimestring (date-time)No
domainstringNo
lastUpdatedstring (date-time)No
descriptionstringNo
expirationobjectNo
usersarrayNo
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "parent": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "ancestors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "descendants": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "displayName": {
      "type": "string"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "enabledScopes": {
      "type": "object"
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    },
    "domain": {
      "type": "string"
    },
    "lastUpdated": {
      "type": "string",
      "format": "date-time"
    },
    "description": {
      "type": "string"
    },
    "expiration": {
      "type": "object"
    },
    "users": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
          },
          "userId": {
            "type": "string",
            "description": "The user ID. Required: true."
          },
          "firstName": {
            "type": "string",
            "description": "The first name. Required: false."
          },
          "lastName": {
            "type": "string",
            "description": "The last name. Required: false."
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}